GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "c899f632-f921-4e99-9097-fc334449f92e",
"Asset": {
"AssetId": "55315e13-a0bb-4ec4-bfb7-ca7bdc0ba7aa",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "00264107-26f4-4095-a99b-f5217f08037e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"MeasurementValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "8b775eca-2274-4ce7-b896-814c306ce38c",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"MeasurementValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "11c4967c-a790-402d-8b9a-63d648e304e4",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-17T08:22:56.2453636-08:00",
"Location": "sample string 1",
"TaskId": "df9b6bd4-3d6d-4973-a14e-e5833b3e0eff",
"Values": [
{
"FormFieldValueId": "4a6e2472-f4c4-41df-ac3b-b95fbd9916b4",
"FormId": "9a198b39-4ca7-406d-9d8e-6bfa61975a84",
"FormTypeField": {
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "4a6e2472-f4c4-41df-ac3b-b95fbd9916b4",
"FormId": "9a198b39-4ca7-406d-9d8e-6bfa61975a84",
"FormTypeField": {
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "0689a562-d67a-4bdf-89af-47896c78c150",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "c899f632-f921-4e99-9097-fc334449f92e",
"Asset": {
"AssetId": "55315e13-a0bb-4ec4-bfb7-ca7bdc0ba7aa",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "00264107-26f4-4095-a99b-f5217f08037e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"MeasurementValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "8b775eca-2274-4ce7-b896-814c306ce38c",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"MeasurementValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "11c4967c-a790-402d-8b9a-63d648e304e4",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-17T08:22:56.2453636-08:00",
"Location": "sample string 1",
"TaskId": "df9b6bd4-3d6d-4973-a14e-e5833b3e0eff",
"Values": [
{
"FormFieldValueId": "4a6e2472-f4c4-41df-ac3b-b95fbd9916b4",
"FormId": "9a198b39-4ca7-406d-9d8e-6bfa61975a84",
"FormTypeField": {
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "4a6e2472-f4c4-41df-ac3b-b95fbd9916b4",
"FormId": "9a198b39-4ca7-406d-9d8e-6bfa61975a84",
"FormTypeField": {
"FormTypeFieldId": "1f9856c8-dfc2-4a62-b578-ff7c99b931ec",
"FormType": {
"FormTypeId": "9f359b57-5a0f-4431-a4f5-9aee73a60532",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "72bae38c-954a-4084-9461-bd3a63c86683",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d0f42d10-7363-4d61-b361-f78718bdfe01",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-17T08:22:56.2453636-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "a62a5284-dd66-4a60-b57c-95c3e3fe05f0",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "520cda39-eae8-4678-a59c-28295e01964e",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "10291be3-56ea-4ae2-81f5-5d736ec4c1d2",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "01bcf3e3-f6e3-48d9-a4d1-7a79a66d7c95",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "c3d756f0-41dd-4540-83c2-b5198bdab66e",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "73368d95-6eff-49ff-b7cf-d9be33c3596c",
"FieldId": "94ae90ec-1cbb-47f6-b081-6fd2dff4b5b9",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "0689a562-d67a-4bdf-89af-47896c78c150",
"CreateDate": "2026-11-17T08:22:56.2453636-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-17T08:22:56.2453636-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}